## org.hibernate.metamodel.relational.state
Interface ColumnRelationalState

All Superinterfaces:
  SimpleValueRelationalState, ValueRelationalState

    public interface ColumnRelationalState

extends SimpleValueRelationalState

Method Summary
`String` `getCheckCondition()`
`String` `getComment()`
`String` `getCustomReadFragment()`
`String` `getCustomWriteFragment()`
`String` `getDefault()`
`String` `getExplicitColumnName()`
`Set<String>` `getIndexes()`
`NamingStrategy` `getNamingStrategy()`
`Size` `getSize()`
`String` `getSqlType()`
`Set<String>` `getUniqueKeys()`
`boolean` `isGloballyQuotedIdentifiers()`
`boolean` `isNullable()`
`boolean` `isUnique()`

Method Detail

### getNamingStrategy

    NamingStrategy getNamingStrategy()

### isGloballyQuotedIdentifiers

    boolean isGloballyQuotedIdentifiers()

### getExplicitColumnName

    String getExplicitColumnName()

### isUnique

    boolean isUnique()

### getSize

    Size getSize()

### isNullable

    boolean isNullable()

### getCheckCondition

    String getCheckCondition()

### getDefault

    String getDefault()

### getSqlType

    String getSqlType()

### getCustomWriteFragment

    String getCustomWriteFragment()

### getCustomReadFragment

    String getCustomReadFragment()

### getComment

    String getComment()

### getUniqueKeys

    Set<String> getUniqueKeys()

### getIndexes

    Set<String> getIndexes()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.